---
title: <isindex>
slug: Web/HTML/Element/isindex
tags:
  - Deprecated
  - Element
  - HTML
  - Reference
  - Web
---
<div>{{HTMLRef}}{{Obsolete_header}}</div>

<p><span class="seoSummary"><strong><code>&lt;isindex&gt;</code></strong> was an obsolete HTML element that put a text field in a page for querying the document.</span> <code>&lt;isindex&gt;</code> provided a single line text input for entering a query string. When sent, the server would return a list of pages matching the query. Its support depended on both the browser and the server to react to the query.</p>

<p><code>&lt;isindex&gt;</code> is removed <a href="https://html.spec.whatwg.org/multipage/">HTML Standard</a>. It was deprecated in HTML 4.01. The same behaviour can be achieved with an HTML form. All major browsers have now removed <code>&lt;isindex&gt;</code>.</p>

<h2 id="Attributes">Attributes</h2>

<p>Like all other HTML elements, this element accepted the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<dl>
 <dt>{{htmlattrdef("prompt")}}</dt>
 <dd>This attribute added its value as a prompt for text field.</dd>
 <dt>{{htmlattrdef("action")}}</dt>
 <dd>This attribute determined the server URL to which the query was sent.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: html notranslate">&lt;head&gt;
  &lt;isindex prompt="Search Document..." action="/search"&gt;
&lt;/head&gt;</pre>

<p>In past browsers, this would generate, at parse time, a DOM tree equivalent to the following HTML:</p>

<pre class="brush: html notranslate">&lt;form action="/search"&gt;
  &lt;hr&gt;
  &lt;label&gt;
    Search Document...
    &lt;input name="isindex"&gt;
  &lt;/label&gt;
  &lt;hr&gt;
&lt;/form&gt;
</pre>

<h2 id="History">History</h2>

<p>On June 1992, Dan Connolly would <a class="external text" href="http://1997.webhistory.org/www.lists/www-talk.1992/0080.html" rel="nofollow">prefer</a> a different <a href="/wiki/HTML/Elements/a" title="HTML/Elements/a">anchor</a> type instead of isindex.</p>

<p>On November 1992, <a class="external text" href="http://lists.w3.org/Archives/Public/www-talk/1992NovDec/thread.html#31" rel="nofollow">indexes as links rather than documents</a> started by Dan Connolly who is pushing the idea that indexes are more links than documents. In this thread, different type of solutions are proposed. The question of forms for making queries is <a class="external text" href="http://lists.w3.org/Archives/Public/www-talk/1992NovDec/0039.html" rel="nofollow">mentioned</a> in reference to Dynatext browser: "The browser displays toggle buttons, text fields etc. The user fills in the fields, clicks OK, and the query results come up in the table of contents window."</p>

<p>A thread about <a class="external text" href="http://lists.w3.org/Archives/Public/www-talk/1992NovDec/thread.html#42" rel="nofollow">isindex</a> in November 1992, Kevin Hoadley <a class="external text" href="http://lists.w3.org/Archives/Public/www-talk/1992NovDec/0042.html" rel="nofollow">questioned</a> the need for an isindex element and proposed to drop it. He proposed to have instead an <a href="/wiki/HTML/Elements/input" title="HTML/Elements/input">input</a> element (idea <a class="external text" href="http://lists.w3.org/Archives/Public/www-talk/1992NovDec/0053.html" rel="nofollow">supported</a> by Steve Putz). Tim Berners-Lee <a class="external text" href="http://lists.w3.org/Archives/Public/www-talk/1992NovDec/0044.html" rel="nofollow">explains</a> the purpose of isindex resulting in aggregated search results. Kevin <a class="external text" href="http://lists.w3.org/Archives/Public/www-talk/1992NovDec/0048.html" rel="nofollow">replies</a> that he doesn't like the boolean nature of isindex and would prefer a system where everything is searchable and proposes to extend the current WWW Framework with a specific httpd configuration and defined that some URIs mapping create search queries.</p>

<p>In 2016, after it was removed from Edge and Chrome, it was <a href="https://github.com/whatwg/html/issues/1088">proposed</a> to remove <code>isindex</code> from the standard; this removal was <a href="https://github.com/whatwg/html/pull/1095">completed</a> the next day, after which Safari and Firefox also removed support.</p>

<h2 id="HTML_Reference">HTML Reference</h2>

<ul>
 <li><a class="external text" href="http://html.spec.whatwg.org/multipage/" rel="nofollow">The HTML Standard</a> classifies it as a <a class="external text" href="https://html.spec.whatwg.org/multipage/obsolete.html#isindex" rel="nofollow">obsolete and non-conforming feature</a>.</li>
 <li><a class="external text" href="http://www.w3.org/TR/html401/interact/forms.html#h-17.8" rel="nofollow">ISINDEX</a> element deprecated in <a class="external text" href="http://www.w3.org/TR/html401/" rel="nofollow">HTML 4.01</a></li>
 <li><a class="external text" href="http://www.w3.org/TR/REC-html32#isindex" rel="nofollow">ISINDEX</a> in <a class="external text" href="http://www.w3.org/TR/REC-html32" rel="nofollow">HTML 3.2</a></li>
 <li><a class="external text" href="http://www.w3.org/MarkUp/html-spec/html-spec_5.html#SEC5.2.3" rel="nofollow">ISINDEX</a> in <a class="external text" href="http://www.w3.org/MarkUp/html-spec/html-spec_5.html" rel="nofollow">HTML 2.0</a> as well the description of the behavior in <a class="external text" href="http://www.w3.org/MarkUp/html-spec/html-spec_7.html#SEC7.5" rel="nofollow">Queries and Indexes</a> (HTML 2.0)</li>
 <li><a class="external text" href="http://www.w3.org/MarkUp/HTMLPlus/htmlplus_51.html" rel="nofollow">ISINDEX</a> in <a class="external text" href="http://www.w3.org/MarkUp/HTMLPlus/htmlplus_1.html" rel="nofollow">HTML+</a></li>
</ul>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.isindex")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTMLElement("input")}}</li>
 <li>{{HTMLElement("form")}}</li>
</ul>
